package com.dcsoft.system.mapper;

import java.util.List;
import com.dcsoft.system.domain.SysEmpowerRecord;

/**
 * 授权记录Mapper接口
 *
 * @author nichun
 * @date 2023-03-08
 */
public interface SysEmpowerRecordMapper
{
    /**
     * 查询授权记录
     *
     * @param id 授权记录主键
     * @return 授权记录
     */
    public SysEmpowerRecord selectSysEmpowerRecordById(Long id);

    /**
     * 查询授权记录列表
     *
     * @param sysEmpowerRecord 授权记录
     * @return 授权记录集合
     */
    public List<SysEmpowerRecord> selectSysEmpowerRecordList(SysEmpowerRecord sysEmpowerRecord);

    /**
     * 新增授权记录
     *
     * @param sysEmpowerRecord 授权记录
     * @return 结果
     */
    public int insertSysEmpowerRecord(SysEmpowerRecord sysEmpowerRecord);

    /**
     * 修改授权记录
     *
     * @param sysEmpowerRecord 授权记录
     * @return 结果
     */
    public int updateSysEmpowerRecord(SysEmpowerRecord sysEmpowerRecord);

    /**
     * 删除授权记录
     *
     * @param id 授权记录主键
     * @return 结果
     */
    public int deleteSysEmpowerRecordById(Long id);

    /**
     * 批量删除授权记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysEmpowerRecordByIds(Long[] ids);

    public int deleteSysEmpowerRecordByPeopleId(Long peopleId);
}
